Subject: [Sip] question about mime mmutipart mixed, in case of SIP-T

From: [email-masked]
Date: Mon, 7 Jul 2003 20:27:01 +0200

Hello,

  I have a simple question about multipart bodies...

  Suppose the following message:

S I  P /  2 .  0    1 8  0    R i  n g  i n  g
 M  I M  E -  v e  r s  i o  n :  1 .  0
 C  o n  t e  n t  - T  y p  e :    m u  l t  i p  a r  t /  m i  x e  d ;b
o  u n  d a  r y  = b  o u  n d  a r  y1
 T  o :  < s i p  : 0  2 1  4 4  4 4  1 0  4 1  @ 2 1 8  . 1  . 1  3 0  . 7
1 ;  U s  e r= p  h o  n e  > ;  t a  g =  0 0  0 00 0  0 0  0 0  0 0  6 6
A F  8 9  5 50 D  0 0
 F r  o m  : <  s i  p : 0 5  7 1  8 6  5 4  1 2  0 2  @ 6  1 .1 3  0 .  1
.  2 0  ; U  s e  r =  p ho n  e >  ; t  a g  = 3  f 0  3 f  e 52 -  2 3  c
a  - 3  d 8  2 0  1 1  4
 V  i a  : S  I P  / 2  . 0  / U  D P  6  1 .  1 3  0 .  1 .  2 0  : 5  0 6
0 ;  b r  a n  c h  = z  9 h  G 4  b K 1 2  4 5  6 6  1 3  5 1  .
C  a l   l -  I D  : 3  F 0  3 F  E 5  2 -  0 0  0 0  0 0  0 0  @ J  F S  I
P  P C  U 1
C S  e q  : 1    I  N V  I T  E
R  e q  u i  r e  : 1  0 0  r e  l
R  S e  q :  4 3  9 8  1
C  o n  t a  c t  : <  s i  p :  0 2  1 4  4 4  4 1  0 4  1 @  2 1  8 .  1
.  1 3  0 . 7 1  : 5  0 6  0 >
D a  t e  : T  h u  ,    3    J u  l    2 0  0 3    1 7 :  2 8  : 0  9    G
M  T
T  i m  e s  t a  m p  : 2  1 8  9 7
S u  p p  o r  t e  d :  1 0  0 r  e l
C o  n t  e n  t -  L e  n g  t h  : 2 4 9

  - -  b o  u n  d a  r y1
C o  n t  e n t -  T y  p e  : a  p p  l i  c a  t i o n  / S  D P

 v =  0
o  = -    1  2    1 2    I  N    I P  4  2 1  8 .  1 .  1 3  1 .  2
s  = S D P    D  a t  a
c  = I  N    I P  4    2 1  8 .  1 .  1 3  1 .  2
t   = 0    0
m =  a u  d i  o    4 0 0 0    R  T P  / A  V P    8
 - -   b o  u n  d a  r y1
C o  n t  e n  t -  T y  p e  : a p p  l i  c a  t i  o n  / I  S U  P ;  v
e  r s  i o  n =  X -  Q .  7 6  7

^F ^T^D ^@
 -  - b  o u  n d  a r  y1 -  -

  Checking between the sdp part and ISUP part, just after the line m= audio
4000 RTP/AVP 8
we find only one CRLF,and just after this the "- -boundary1"

  Checking in the rfc 2046 i could not clearly find wether this would be
correct, or instead a double CRLF would need to be instead.
  In fact, in one of the examples of rfc 3204 i could see that the same
format is followed and only one CRLF is applied.

Could someone clarify this to me?

  Best regards and thanks,

Carlos

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip